org.hibernate.search.query.engine.impl

## Class LazyQueryState

- java.lang.Object
- - org.hibernate.search.query.engine.impl.LazyQueryState

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class LazyQueryState
      extends Object
      implements Closeable

  Author:
    Sanne Grinovero

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyQueryState(Query userQuery, QueryFilters facetingFilters, IndexReader reader, Similarity searcherSimilarity, ExtendedSearchIntegrator extendedIntegrator, Iterable<EntityIndexBinding> targetedEntityBindings, boolean fieldSortDoTrackScores, boolean fieldSortDoMaxScore)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `String` | `describeQuery()`
    `Document` | `doc(int docId)`
    `void` | `doc(int docId, StoredFieldVisitor fieldVisitor)`
    `Explanation` | `explain(QueryFilters filters, int documentId)`
    `IndexReader` | `getIndexReader()`
    `boolean` | `isFieldSortDoMaxScore()`
    `boolean` | `isFieldSortDoTrackScores()`
    `int` | `maxDoc()`
    `void` | `search(QueryFilters filters, Collector collector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyQueryState

          public LazyQueryState(Query userQuery,
                                QueryFilters facetingFilters,
                                IndexReader reader,
                                Similarity searcherSimilarity,
                                ExtendedSearchIntegrator extendedIntegrator,
                                Iterable<EntityIndexBinding> targetedEntityBindings,
                                boolean fieldSortDoTrackScores,
                                boolean fieldSortDoMaxScore)

  - ### Method Detail

    - #### isFieldSortDoTrackScores

          public boolean isFieldSortDoTrackScores()

    - #### isFieldSortDoMaxScore

          public boolean isFieldSortDoMaxScore()

    - #### explain

          public Explanation explain(QueryFilters filters,
                                     int documentId)
                              throws IOException

      Throws:
        `IOException`

    - #### doc

          public Document doc(int docId)
                       throws IOException

      Throws:
        `IOException`

    - #### doc

          public void doc(int docId,
                          StoredFieldVisitor fieldVisitor)
                   throws IOException

      Throws:
        `IOException`

    - #### maxDoc

          public int maxDoc()

    - #### search

          public void search(QueryFilters filters,
                             Collector collector)
                      throws IOException

      Throws:
        `IOException`

    - #### getIndexReader

          public IndexReader getIndexReader()

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`

    - #### describeQuery

          public String describeQuery()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved